#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		KF5Wayland
#-----------------------------------------------------------------------------
Name		:	kwayland
Version		:	5.107.0
Release		:	14.4.0.0%{?dist}
Summary		:	KWayland provides a Qt-style Client and Server library wrapper for the Wayland libraries
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/KDE/kauth/releases


Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	mesa-devel
BuildRequires	:	qt
BuildRequires	:	sonnet
BuildRequires	:	wayland
BuildRequires	:	plasma-wayland-protocols-devel
BuildRequires	:	wayland-protocols
#-----------------------------------------------------------------------------
%description
As the names suggest they implement a Client respectively a Server
API for the Wayland protocol. The API is Qt-styled removing the needs
to interact with a for a Qt developer uncomfortable low-level C-API.
For example the callback mechanism from the Wayland API is replaced
by signals; data types are adjusted to be what a Qt developer expects, e.g.
two arguments of int are represented by a QPoint or a QSize.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%{_includedir}/KF5/KWayland/KWayland/Client/*.h
%{_includedir}/KF5/KWayland/Server/*.h
%{_includedir}/KF5/KWayland/%{name}_version.h
%{_libdir}/lib%{sname}*.so*
%{_libdir}/pkgconfig/KF5WaylandClient.pc
%{_libdir}/libexec/org-kde-kf5-%{name}-testserver
%{_libdir}/cmake/%{sname}/*.cmake
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF					\
	-D ECM_MKSPECS_INSTALL_DIR=%{_datadir}/mkspecs/modules	\
	..

cmake .
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
